All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.tree
Class FilterReferenceNode

    com.sas.dataselectors.filters.tree.FilterReferenceNode

All Implemented Interfaces:
  FilterLogicBaseNodeInterface, FilterReferenceNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    @SASScope(value="ALL")
    public class FilterReferenceNode

implements FilterReferenceNodeInterface

A FilterReferenceNode quite simply acts as a reference to a filter external to the filter that contains the node. In this way, referenced filters can be kept seperate from the...

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`description, label, propertyChangeSupport`

Constructor Summary
`FilterReferenceNode()`
`FilterReferenceNode(FilterReferenceNodeInterface other)`
`FilterReferenceNode(java.lang.Object filter)`

Method Summary
`java.lang.Object` | `clone()` Creates a new node with the same user object, label, and description.
`java.lang.Object` | `getReferencedFilter()`
`void` | `setReferencedFilter(java.lang.Object filter)`

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`addPropertyChangeListener, dispose, firePropertyChange, firePropertyChange, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getIndex, getMaxChildren, getParentLogicNode, removePropertyChangeListener, setFilterDescription, setFilterLabel, setUserObject`

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicBaseNodeInterface
`dispose, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getMaxChildren, getParentLogicNode, getUserObject`

Constructor Detail

### FilterReferenceNode

    public FilterReferenceNode()

### FilterReferenceNode

    public FilterReferenceNode(java.lang.Object filter)

### FilterReferenceNode

    public FilterReferenceNode(FilterReferenceNodeInterface other)

Method Detail

### getReferencedFilter

    public java.lang.Object getReferencedFilter()

  Specified by:
    `getReferencedFilter` in interface `FilterReferenceNodeInterface`

### setReferencedFilter

    public void setReferencedFilter(java.lang.Object filter)

### clone

    public java.lang.Object clone()

  Description copied from class: `AbstractFilterLogicBaseNode`
  Creates a new node with the same user object, label, and description. The children and parent nodes are not included in the new node.

  Overrides:
    `clone` in class `AbstractFilterLogicBaseNode`
  Returns:
    a new node as a copy of this one

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.